### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xuartlite_l.c File Reference

## Detailed Description

This file contains low-level driver functions that can be used to access the device. The user should refer to the hardware device specification for more details of the device operation.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00b rpm  04/25/02 First release
     1.12a rpm  07/16/07 Fixed arg type for RecvByte

## Functions
void | XUartLite_SendByte (u32 BaseAddress, u8 Data)
u8 | XUartLite_RecvByte (u32 BaseAddress)

## Function Documentation

u8 XUartLite_RecvByte | ( | u32 | BaseAddress | ) |

  | This functions receives a single byte using the UART. It is blocking in that it waits for the receiver to become non-empty before it reads from the receive register. Parameters:
  | BaseAddress | is the base address of the device
Returns: The byte of data received. Note: None.

void XUartLite_SendByte | ( | u32 | BaseAddress,
|  | u8 | Data
| ) |

  | This functions sends a single byte using the UART. It is blocking in that it waits for the transmitter to become non-full before it writes the byte to the transmit register. Parameters:
  | BaseAddress | is the base address of the device
  | Data | is the byte of data to send
Returns: None. Note: None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.